#!/bin/env python3
import sys

password = sys.argv[1]
if len(password) < 3:
    print('Minimal password size: 3, get {}'.format(len(password)))
    sys.exit(1)
xor=0
target=0x43
for letter in password:
    xor=xor^ord(letter)
last_letter=xor^target
print("here is your password: {}{}".format(password,chr(last_letter)))
